Skip to main content

Create Sync Job

Define which resources to synchronize.
curl -X POST 'https://api.usehandled.io/api/v1/ipaas/sync-job' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "integration_name": "shiphero",
    "resources": [
      {"resource": "wms/orders", "method": "list"},
      {"resource": "wms/inventory", "method": "list"}
    ]
  }'

Resource Configuration

FieldTypeDescription
resourcestringUnified or Proxy API resource
methodstringlist, get, or custom method
depends_onstringParent resource for hierarchical data
queryobjectFilter parameters

Run Sync Job

Execute a sync job for a specific account.
curl -X POST 'https://api.usehandled.io/api/v1/ipaas/sync-job-run' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "sync_job_id": "job_123",
    "integrated_account_id": "acc_456",
    "webhook_id": "webhook_789"
  }'

Create Scheduled Sync

Set up recurring syncs using cron expressions.
curl -X POST 'https://api.usehandled.io/api/v1/ipaas/sync-job-cron-trigger' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "sync_job_id": "job_123",
    "integrated_account_id": "acc_456",
    "webhook_id": "webhook_789",
    "cron_expression": "0 */6 * * *"
  }'
Cron expressions use UTC timezone.

List Sync Jobs

curl 'https://api.usehandled.io/api/v1/ipaas/sync-job' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Get Sync Job Run Status

curl 'https://api.usehandled.io/api/v1/ipaas/sync-job-run/{run_id}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Delete Sync Job

curl -X DELETE 'https://api.usehandled.io/api/v1/ipaas/sync-job/{job_id}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'